LootJS.modifiers((event) => {  

  event
    .addLootTableModifier("alexscaves:gameplay/deep_one_barter")
    .removeLoot(Ingredient.all)
    .addWeightedLoot([
      LootEntry.of('alexscaves:sea_glass_shards').limitCount([4, 8]).withChance(70),
      LootEntry.of('alexscaves:rusty_scrap_metal').limitCount([4, 8]).withChance(5),
      LootEntry.of('alexscaves:rusty_barrel').withChance(5),
      LootEntry.of('alexscaves:rusty_rebar').limitCount([2, 4]).withChance(5),
      LootEntry.of('alexscaves:rusty_scaffolding').limitCount([2, 4]).withChance(5),
      LootEntry.of('qualitysdelight:stuffed_nautilus_shell_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:squid_ink_pasta_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:guardian_soup_diamond').withChance(1),
      LootEntry.of('alexscaves:gazing_pearl').withChance(5)
    ]);

  event
    .addLootTableModifier("alexscaves:gameplay/deep_one_knight_barter")
    .removeLoot(Ingredient.all)
    .addWeightedLoot([
      LootEntry.of('alexscaves:sea_glass_shards').limitCount([4, 8]).withChance(60),
      LootEntry.of('alexscaves:magic_conch').withChance(10),
      LootEntry.of('alexscaves:abyssmarine').limitCount([4, 8]).withChance(10),
      LootEntry.of('alexscaves:ink_bomb').limitCount([2, 4]).withChance(5),
      LootEntry.of('alexscaves:ortholance').withChance(5),
      LootEntry.of('minecraft:trident').withChance(5),
      LootEntry.of('qualitysdelight:stuffed_nautilus_shell_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:squid_ink_pasta_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:guardian_soup_diamond').withChance(1)     
    ]);

  event
    .addLootTableModifier("alexscaves:gameplay/deep_one_mage_barter")
    .removeLoot(Ingredient.all)
    .addWeightedLoot([
      LootEntry.of('alexscaves:sea_glass_shards').limitCount([4, 8]).withChance(60),
      LootEntry.of('alexscaves:sea_staff').withChance(10),
      LootEntry.of('architects_palette:abyssaline').limitCount([4, 8]).withChance(10),
      LootEntry.of('alexscaves:block_of_pearl').withChance(5),
      LootEntry.of('thermal:deep_aquachow').limitCount([8,16]).withChance(5),
      LootEntry.of('alexscaves:glow_ink_bomb').limitCount([2, 4]).withChance(5),
      LootEntry.of('qualitysdelight:stuffed_nautilus_shell_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:squid_ink_pasta_diamond').limitCount([1, 4]).withChance(2),
      LootEntry.of('qualitysdelight:guardian_soup_diamond').withChance(1)     
    ]);    
});